import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class AirQualityEndSideLiveIndicator extends StatelessWidget {
  const AirQualityEndSideLiveIndicator({super.key});

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisSize: MainAxisSize.min,
      children: [
        Text(
          'Entrance',
          style: context.textTheme.bodySmall?.copyWith(
            color: ColorsManager.textPrimaryColor,
            fontWeight: FontWeight.w400,
            fontSize: 14,
          ),
        ),
        const Spacer(),
        CircleAvatar(
          backgroundColor: ColorsManager.green.withValues(
            alpha: 0.5,
          ),
          radius: 2,
        ),
        const SizedBox(width: 4),
        Text(
          'Live',
          style: context.textTheme.bodySmall?.copyWith(
            color: ColorsManager.green.withValues(alpha: 0.5),
            fontWeight: FontWeight.w400,
            fontSize: 8,
          ),
        ),
      ],
    );
  }
}
